#include <iostream>
#include <iomanip>

double zaokruzi(double x)
{
	double val = (int)(x * 100 + .5);
	return (double)val / 100;
}

int main()
{
	int n;
	double maxzarada = 0;

	std::cin >> n;

	int zarade[n];
	double procenti[n];

	for(int i = 0; i < n; i++)
	{
		std::cin >> zarade[i];
		std::cin >> procenti[i];
		procenti[i] = zaokruzi(procenti[i]);
	}

	for(int i = 0; i < n; i++)
	{
		double t_zarada = 0;
		
		for(int j = 0; j < n; j++)
		{
			if(procenti[i] <= procenti[j])
			{
				t_zarada += (zarade[j] * procenti[i]) / 100;
			}
		}		

		if(t_zarada > maxzarada)
			maxzarada = t_zarada;
	}	

	std::cout << std::fixed << std::setprecision(4) << maxzarada;

}